<?php
// This file is part of
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

function exportcsv($context) {
  $enrolledusers = get_enrolled_users($context, 'mod/gradeimporter:student');
  $header = array('id', 'name', 'email', 'grade', 'comment', 'file');

  $csvexport = new csv_export_writer();
  $csvexport->set_filename('config');
  $csvexport->add_data($header);

  foreach ($enrolledusers as $value) {
    $name = $value->firstname . ' ' . $value->lastname;
    $studententry = array($value->id, $name, $value->email, '', '', '');
    $csvexport->add_data($studententry);
  }

  $csvexport->download_file();
  // $dlfile = $csvexporter->download_array('config', $data);
}
